/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.jsp.taglib.util;

import java.beans.PropertyEditorSupport;

/**
 * A {@link PropertyEditorSupport} extension that allows for the names of the {@link RandomStringMode} enumeration to be passed as values for JSP tag
 * attributes.
 * 
 * @author <a href="http://craigsdickson.com">Craig S. Dickson</a>
 */
public class RandomStringModeEditor extends PropertyEditorSupport {

    @Override
    public String getAsText() {
        return ((RandomStringMode) getValue()).name();
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        setValue(RandomStringMode.valueOf(text));
    }

}
